# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions
dirac::BiBlockHalfPel Class Reference

A class for computing a bidirection difference for half-pel vectors.

`#include <me_utils.h>`

Inheritance diagram for dirac::BiBlockHalfPel:

List of all members.

## Public Member Functions
| BiBlockHalfPel (const PicArray &ref1, const PicArray &ref2, const PicArray &pic)
| Constructor, initialising the references and picture data.
float | Diff (const BlockDiffParams &dparams, const MVector &mv1, const MVector &mv2)
| Do the difference, returning SAD.
Public Member Functions inherited from dirac::BiBlockDiff
| BiBlockDiff (const PicArray &ref1, const PicArray &ref2, const PicArray &pic)
| Constructor, initialising the references and picture data.
virtual | ~BiBlockDiff ()
| Virtual destructor.

## Private Member Functions
| BiBlockHalfPel (const BiBlockHalfPel &cpy)
| Private, bodyless copy-constructor: class should not be copied.
BiBlockHalfPel & | operator= (const BiBlockHalfPel &rhs)
| Private, bodyless assignment=: class should not be assigned.

## Additional Inherited Members
Protected Attributes inherited from dirac::BiBlockDiff
const PicArray & | m_pic_data
const PicArray & | m_ref_data1
const PicArray & | m_ref_data2

## Constructor & Destructor Documentation

dirac::BiBlockHalfPel::BiBlockHalfPel | ( | const PicArray & | ref1,
|  | const PicArray & | ref2,
|  | const PicArray & | pic
| ) |  |

dirac::BiBlockHalfPel::BiBlockHalfPel | ( | const BiBlockHalfPel & | cpy | ) |
| private

## Member Function Documentation

float dirac::BiBlockHalfPel::Diff | ( | const BlockDiffParams & | dparams,
|  | const MVector & | mv1,
|  | const MVector & | mv2
| ) |  |
| virtual

Do the difference, returning SAD

Parameters:

  dparams | block parameters
  mv1 | the motion vector being used for reference 1
  mv2 | the motion vector being used for reference 2

Implements dirac::BiBlockDiff.

BiBlockHalfPel& dirac::BiBlockHalfPel::operator= | ( | const BiBlockHalfPel & | rhs | ) |
| private

The documentation for this class was generated from the following file:

- me_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.